#include "../../../lib/std.mi"
#include "../../../lib/pldir.mi"

Function setTempText(String txt);
Function emptyTempText();

Global Text Songticker;
Global slider eqPreamp, eq1, eq2, eq3, eq4, eq5, eq6, eq7, eq8, eq9, eq10;
Global Timer EqTimer;

System.onScriptLoaded() {

  // Get Script Group
  Group maingroup = getContainer("main").getLayout("normal");
  Group eqgroup = getContainer("egaliseur").getLayout("normal");

  // Get Sliders
  eqPreamp = eqgroup.getObject("preamp");
  eq1 = eqgroup.getObject("eq1");
  eq2 = eqgroup.getObject("eq2");
  eq3 = eqgroup.getObject("eq3");
  eq4 = eqgroup.getObject("eq4");
  eq5 = eqgroup.getObject("eq5");
  eq6 = eqgroup.getObject("eq6");
  eq7 = eqgroup.getObject("eq7");
  eq8 = eqgroup.getObject("eq8");
  eq9 = eqgroup.getObject("eq9");
  eq10 = eqgroup.getObject("eq10");

  // Get songticker
  Songticker = maingroup.findObject("Songticker");
  if (songticker == null) messagebox("ooch!!", "ooch", 0, "");

  EqTimer = new Timer;
  EqTimer.setDelay(750);
}

System.onScriptUnloading() {
  delete EqTimer;
}

// The eq sliders are treated like ordinary slider with a range of
// 0 to 255 instead of eq-sliders which are -127 to 127, the "-20" offsets this
eqPreamp.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35); 
  if (f >= 0) setTempText("Preamp : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("Preamp : " + floattostring(f, 1) + " dB");
} 

eq1.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("60 Hz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("60 Hz : " + floattostring(f, 1) + " dB");
} 

eq2.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("170 Hz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("170 Hz : " + floattostring(f, 1) + " dB");
} 

eq3.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("310 Hz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("310 Hz : " + floattostring(f, 1) + " dB");
} 

eq4.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("600 Hz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("600 Hz : " + floattostring(f, 1) + " dB");
} 

eq5.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("1 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("1 kHz : " + floattostring(f, 1) + " dB");
} 

eq6.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("3 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("3 kHz : " + floattostring(f, 1) + " dB");
} 

eq7.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("6 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("6 kHz : " + floattostring(f, 1) + " dB");
} 

eq8.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("12 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("12 kHz : " + floattostring(f, 1) + " dB");
} 

eq9.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("14 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("14 kHz : " + floattostring(f, 1) + " dB");
} 

eq10.onSetPosition(int p) {
  Float f;
  f = p;
  f = (f / 6.35);
  if (f >= 0) setTempText("16 kHz : " + "+" + floattostring(f, 1) + " dB");
  if (f < 0) setTempText("16 kHz : " + floattostring(f, 1) + " dB");
} 

// Temp text functions
EqTimer.onTimer() {
  SongTicker.setText("");
  stop();
}

setTempText(String txt) {
    EqTimer.stop();
    SongTicker.setText(txt);
    EqTimer.start();
}

emptyTempText() {
    SongTicker.setText("");
    EqTimer.stop();

}
