//------------------------------
// speakers.m
// handles the speakers (duhhh)
// by iPlayTheSpoons
//------------------------------

#include "../../../lib/std.mi"

Function UpdateRight(Int Var);
Function UpdateLeft(Int Var);

Global Container MainContainer;
Global Container MainContainerG;
Global Container MainContainerD;
Global Layout NormalLayout;
Global Layout NormalLayoutG;
Global Layout NormalLayoutD;
Global Group RightCont, LeftCont;
Global AnimatedLayer RightVis, LeftVis;
Global Button ToggleG;
Global Button ToggleD;
Global Timer VisTimer;
Global Double Level, LevelL, LevelR, OneFrameL, OneFrameR;
Global Int LastFrame1, LastFrame2, SpeakerPos;

System.onScriptLoaded() { 

	MainContainer = getContainer("egaliseur");
	NormalLayout = MainContainer.getLayout("normal");

	MainContainerG = getContainer("HP_Gauche");
	NormalLayoutG = MainContainerG.getLayout("normal");

	MainContainerD = getContainer("HP_Droit");
	NormalLayoutD = MainContainerD.getLayout("normal");
	
	LeftCont = NormalLayoutG.getObject("left.speaker");
	RightCont = NormalLayoutD.getObject("right.speaker");

	LeftVis = LeftCont.getObject("HPVisL");
	RightVis = RightCont.getObject("HPVisR");

	ToggleG = NormalLayout.getObject("hpgauche");
	ToggleD = NormalLayout.getObject("hpdroit");
	
	VisTimer = new Timer;
	VisTimer.setDelay(25);
	VisTimer.start();
	LeftVis.setSpeed(25);
	RightVis.setSpeed(25);
	OneFrameL = 255/(LeftVis.getLength());
	OneFrameR = 255/(RightVis.getLength());

	If (System.getPrivateInt("Pimeer", "Speakers_Position", 0) == 1) {
		ToggleG.leftClick();
	}
	If (System.getPrivateInt("Pimeer", "Speakers_Position", 0) == 1) {
		ToggleD.leftClick();
	}
}

System.onScriptUnloading() {
  VisTimer.stop();
  delete VisTimer;
}

LeftCont.onTargetReached() {
	if(SpeakerPos == 1){
	VisTimer.stop();
	LeftCont.hide();
	RightCont.hide();
	}
}

VisTimer.onTimer() {
	LevelL = System.getLeftVuMeter();
		UpdateLeft(LevelL/OneFrameL);
	LevelR = System.getRightVuMeter();
		UpdateRight(LevelR/OneFrameR);
}		

UpdateLeft(Int Var){
	{
	LeftVis.setStartFrame(LastFrame1);
     	LeftVis.setEndFrame(Var);
     	LeftVis.play();
     	LastFrame1 = Var;
	}
}

UpdateRight(Int Var){
	{
	RightVis.setStartFrame(LastFrame2);
     	RightVis.setEndFrame(Var);
     	RightVis.play();
     	LastFrame2 = Var;
	}
}